#!/bin/bash


if [ -d /etc ];
then
 if [ -e /etc/confixx_daemon.cfg ];
  then
   echo "/etc/confixx_daemon.cfg already exists, Exit"
   exit 0
  else
   cp confixx_daemon.cfg /etc/confixx_daemon.cfg || exit 1
 fi 
else
 echo "/etc not found, Exit"
 exit 0
fi

if [ -d /usr/bin ];
then
 if [ -e /usr/bin/confixx_daemon.pl ];
  then
   echo "/usr/bin/confixx_daemon.pl already exists, Exit"
   exit 0
  else
   cp confixx_daemon.pl /usr/bin/confixx_daemon.pl || exit 1
 fi
else
 echo "/usr/bin not found, Exit"
 exit 0
fi

if [ -d /etc/init.d ];
then
 if [ -e /etc/init.d/confixx_daemon ];
  then
   echo "/etc/init.d/confixx_daemon already exists, Exit"
   exit 0
  else
   cp confixx_daemon /etc/init.d/confixx_daemon || exit 1
 fi
else 
 echo "/etc/init.d not found, Exit"
 exit 0
fi

echo ""
echo "Everything looks fine, now edit /etc/confixx_daemon.cfg your way"
echo ""
echo "After that try to start with /etc/init.d/confixx_daemon start"
echo ""
echo "Logfile is always at /var/log/confixx_daemon.log!"
echo ""


exit 0
